﻿/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width:42px;
  height: 24px;
}

.switch2 {
  position: relative;
  display: inline-block;
  width: 62px;
  height: 24px;
}


/* Hide default HTML checkbox */
.switch input, .switch2 input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  -webkit-transition: .4s;
  transition: .4s;
}
.switch .slider {
  background-color: #CCC;
}

.switch2 .slider {
  background-color: #008800;
}

.slider:before {
  position: absolute;
  content: "";
  width:17px;
  height:17px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

.switch input:checked + .slider {
  background-color: #2196F3;
}

.switch2 input:checked + .slider {
  background-color: #008800;
}


.switch input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

.switch2 input:focus + .slider {
  box-shadow: 0 0 1px #008800;
}


.switch input:checked + .slider:before {
  -webkit-transform: translateX(17px);
  -ms-transform: translateX(17px);
  transform: translateX(17px);
}

.switch2 input:checked + .slider:before {
  -webkit-transform: translateX(37px);
  -ms-transform: translateX(37px);
  transform: translateX(37px);
}


/* Rounded sliders */
.slider.round {
  border-radius:24px;
}

.slider.round:before {
  border-radius: 50%;
}
div.switchtext {
  padding:0px 8px 0px 8px;
  line-height:22px;
  vertical-align:bottom;
  display:inline;
}

.switch div.switchtext {
  font-size: 12px;
}

.switch2 div.switchtext { 
  font-size: 18px;
  color:#444444;
}